/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.livetiles.tiles.Clothing');

goog.require('pricecheck.ui.livetiles.tiles.Abstract');



/**
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {pricecheck.ui.livetiles.tiles.Abstract}
 */
pricecheck.ui.livetiles.tiles.Clothing = function(opt_domHelper) {
    pricecheck.ui.livetiles.tiles.Abstract.call(this, opt_domHelper);

    this.setId('3');

    /**
     * @override
     */
    this.imageClass = goog.getCssName('category-icon') + ' ' +
        goog.getCssName('category-icon-clothing');

    /**
     * @override
     */
    this.link = '#category/' + this.getId();

    /**
     * @override
     */
    this.text = 'Clothing';
};
goog.inherits(pricecheck.ui.livetiles.tiles.Clothing,
    pricecheck.ui.livetiles.tiles.Abstract);
