/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.livetiles.tiles.Flights');

goog.require('pricecheck.ui.livetiles.tiles.Abstract');



/**
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {pricecheck.ui.livetiles.tiles.Abstract}
 */
pricecheck.ui.livetiles.tiles.Flights = function(opt_domHelper) {
    pricecheck.ui.livetiles.tiles.Abstract.call(this, opt_domHelper);

    this.setId('flights');

    /**
     * @override
     */
    this.imageClass = goog.getCssName('category-icon') + ' ' +
        goog.getCssName('category-icon-flights');

    /**
     * @override
     */
    this.link = 'http://m.travelstart.co.za/?affId=161048';

    /**
     * @override
     */
    this.isExternal = true;

    /**
     * @override
     */
    this.text = 'Flights';
};
goog.inherits(pricecheck.ui.livetiles.tiles.Flights,
    pricecheck.ui.livetiles.tiles.Abstract);
