/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 * Edited By: 	Chris Humboldt
 */
goog.provide('pricecheck.ui.livetiles.tiles.Insurance');

goog.require('pricecheck.ui.livetiles.tiles.Abstract');



/**
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {pricecheck.ui.livetiles.tiles.Abstract}
 */
pricecheck.ui.livetiles.tiles.Insurance = function(opt_domHelper) {
    pricecheck.ui.livetiles.tiles.Abstract.call(this, opt_domHelper);

    /**
     * @override
     */
    this.imageClass = goog.getCssName('category-icon') + ' ' +
        goog.getCssName('category-icon-insurance');

    /**
     * @override
     */
    this.link = '#insurance';

    /**
     * @override
     */
    this.text = 'Insurance';
};
goog.inherits(pricecheck.ui.livetiles.tiles.Insurance,
    pricecheck.ui.livetiles.tiles.Abstract);
