/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.livetiles.tiles.Mtn');

goog.require('pricecheck.ui.livetiles.tiles.Abstract');



/**
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {pricecheck.ui.livetiles.tiles.Abstract}
 */
pricecheck.ui.livetiles.tiles.Mtn = function(opt_domHelper) {
    pricecheck.ui.livetiles.tiles.Abstract.call(this, opt_domHelper);

    this.setId('mtn');

    /**
     * @override
     */
    this.imageClass = goog.getCssName('category-icon') + ' ' +
        goog.getCssName('category-icon-mtn');

    /**
     * @override
     */
    this.link = "http://www.pricecheck.co.za/app_partner_redirect/?appversion=za-mtn-android-1.6.2";

    /**
     * @override
     */
    this.isExternal = true;

    /**
     * @override
     */
    this.text = 'MTN';
};
goog.inherits(pricecheck.ui.livetiles.tiles.Mtn,
    pricecheck.ui.livetiles.tiles.Abstract);
