/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.offline.Offline');

goog.require('goog.ui.Component');

goog.require('pricecheck.ui.page.offline.template');



/**
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.offline.Offline = function(opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);

};
goog.inherits(pricecheck.ui.page.offline.Offline, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.offline.Offline.prototype.createDom = function() {
    pricecheck.ui.page.offline.Offline.superClass_.createDom.call(this);
    soy.renderElement(this.element_, pricecheck.ui.page.offline.template.Offline,
        {});
};
